<form class="form-inline">
  <div class="input-group">
    <span class="input-group-addon">LHS: </span>
    <input type="number" class="form-control"
           [(ngModel)]="lhs" (change)="compute()" name="lhs" [class.error]="lhs < 1" placeholder="Left operand"/>
  </div>

  <div class="input-group ml-3">
    <span class="input-group-addon">rhs: </span>
    <input type="number" class="form-control"
           [(ngModel)]="rhs" (change)="compute()" name="rhs" [class.error]="rhs < 1"/>
  </div>

  <button type="button" (click)="compute()" class="btn btn-warning btn-sm ml-3">Compute</button>
</form>
